| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
uiGraphicsSceneAxisMgr Class Reference
uiTools

Manages uiGraphicsSceneAxis. More...

`#include <uigraphicssceneaxismgr.h>`

Inheritance diagram for uiGraphicsSceneAxisMgr:
[legend]

## Public Member Functions
| uiGraphicsSceneAxisMgr (uiGraphicsView &)
virtual | ~uiGraphicsSceneAxisMgr ()
uiAxisHandler * | axis (OD::Edge)
const uiAxisHandler * | axis (OD::Edge) const
void | enableAxis (OD::Edge, bool yn=true)
void | enableAxisLine (bool yn)
void | enableXAxis (bool yn)
void | enableYAxis (bool yn)
OD::Color | getMaskColor () const
int | getNeededHeight () const
int | getNeededWidth () const
int | getZValue () const
NotifierAccess & | layoutChanged ()
void | setAnnotInInt (bool xaxis, bool dowant)
void | setAnnotInside (bool yn)
void | setAuxAnnotPositions (const TypeSet< PlotAnnotation > &, bool forx)
void | setAuxLineStyle (const OD::LineStyle &, bool forx, bool forhl=false)
void | setBorder (const uiBorder &)
void | setGridLineStyle (const OD::LineStyle &)
void | setMaskColor (const OD::Color &)
virtual void | setViewRect (const uiRect &)
void | setWorldCoords (const StepInterval< float > &xrg, const StepInterval< float > &yrg)
virtual void | setWorldCoords (const uiWorldRect &)
void | setXLineStyle (const OD::LineStyle &)
void | setYLineStyle (const OD::LineStyle &)
virtual void | setZValue (int z)
void | showAuxPositions (bool forx, bool yn)
virtual void | updateScene ()
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Protected Member Functions
void | updateFontSizeCB (CallBacker *)

## Protected Attributes
uiRectItem * | bottommask_
uiRectItem * | leftmask_
OD::Color | maskcolor_
uiRectItem * | rightmask_
uiRectItem * | topmask_
uiFont & | uifont_
uiGraphicsView & | view_
uiAxisHandler * | xaxis_bottom_
uiAxisHandler * | xaxis_top_
uiAxisHandler * | yaxis_left_
uiAxisHandler * | yaxis_right_

## Additional Inherited Members
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

Manages uiGraphicsSceneAxis.

<>

## Constructor & Destructor Documentation

## ◆ uiGraphicsSceneAxisMgr()

uiGraphicsSceneAxisMgr::uiGraphicsSceneAxisMgr | ( | uiGraphicsView & |  | ) |

## ◆ ~uiGraphicsSceneAxisMgr()

virtual uiGraphicsSceneAxisMgr::~uiGraphicsSceneAxisMgr | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ axis() [1/2]

uiAxisHandler * uiGraphicsSceneAxisMgr::axis | ( | OD::Edge |  | ) |

## ◆ axis() [2/2]

const uiAxisHandler * uiGraphicsSceneAxisMgr::axis | ( | OD::Edge |  | ) | const

## ◆ enableAxis()

void uiGraphicsSceneAxisMgr::enableAxis | ( | OD::Edge | ,
|  | bool | yn = true )

## ◆ enableAxisLine()

void uiGraphicsSceneAxisMgr::enableAxisLine | ( | bool | yn | ) |

## ◆ enableXAxis()

void uiGraphicsSceneAxisMgr::enableXAxis | ( | bool | yn | ) |

## ◆ enableYAxis()

void uiGraphicsSceneAxisMgr::enableYAxis | ( | bool | yn | ) |

## ◆ getMaskColor()

OD::Color uiGraphicsSceneAxisMgr::getMaskColor | ( |  | ) | const

## ◆ getNeededHeight()

int uiGraphicsSceneAxisMgr::getNeededHeight | ( |  | ) | const

## ◆ getNeededWidth()

int uiGraphicsSceneAxisMgr::getNeededWidth | ( |  | ) | const

## ◆ getZValue()

int uiGraphicsSceneAxisMgr::getZValue | ( |  | ) | const

## ◆ layoutChanged()

NotifierAccess & uiGraphicsSceneAxisMgr::layoutChanged | ( |  | ) |

## ◆ setAnnotInInt()

void uiGraphicsSceneAxisMgr::setAnnotInInt | ( | bool | xaxis,
|  | bool | dowant )

## ◆ setAnnotInside()

void uiGraphicsSceneAxisMgr::setAnnotInside | ( | bool | yn | ) |

## ◆ setAuxAnnotPositions()

void uiGraphicsSceneAxisMgr::setAuxAnnotPositions | ( | const TypeSet< PlotAnnotation > & | ,
|  | bool | forx )

## ◆ setAuxLineStyle()

void uiGraphicsSceneAxisMgr::setAuxLineStyle | ( | const OD::LineStyle & | ,
|  | bool | forx,
|  | bool | forhl = false )

## ◆ setBorder()

void uiGraphicsSceneAxisMgr::setBorder | ( | const uiBorder & |  | ) |

## ◆ setGridLineStyle()

void uiGraphicsSceneAxisMgr::setGridLineStyle | ( | const OD::LineStyle & |  | ) |

## ◆ setMaskColor()

void uiGraphicsSceneAxisMgr::setMaskColor | ( | const OD::Color & |  | ) |

## ◆ setViewRect()

virtual void uiGraphicsSceneAxisMgr::setViewRect | ( | const uiRect & |  | ) |
| virtual

## ◆ setWorldCoords() [1/2]

void uiGraphicsSceneAxisMgr::setWorldCoords | ( | const StepInterval< float > & | xrg,
|  | const StepInterval< float > & | yrg )

## ◆ setWorldCoords() [2/2]

virtual void uiGraphicsSceneAxisMgr::setWorldCoords | ( | const uiWorldRect & |  | ) |
| virtual

Reimplemented in AxesDrawer.

## ◆ setXLineStyle()

void uiGraphicsSceneAxisMgr::setXLineStyle | ( | const OD::LineStyle & |  | ) |

## ◆ setYLineStyle()

void uiGraphicsSceneAxisMgr::setYLineStyle | ( | const OD::LineStyle & |  | ) |

## ◆ setZValue()

virtual void uiGraphicsSceneAxisMgr::setZValue | ( | int | z | ) |
| virtual

Reimplemented in AxesDrawer.

## ◆ showAuxPositions()

void uiGraphicsSceneAxisMgr::showAuxPositions | ( | bool | forx,
|  | bool | yn )

## ◆ updateFontSizeCB()

void uiGraphicsSceneAxisMgr::updateFontSizeCB | ( | CallBacker * |  | ) |
| protected

## ◆ updateScene()

virtual void uiGraphicsSceneAxisMgr::updateScene | ( |  | ) |
| virtual

Reimplemented in AxesDrawer.

## Member Data Documentation

## ◆ bottommask_

uiRectItem* uiGraphicsSceneAxisMgr::bottommask_
| protected

## ◆ leftmask_

uiRectItem* uiGraphicsSceneAxisMgr::leftmask_
| protected

## ◆ maskcolor_

OD::Color uiGraphicsSceneAxisMgr::maskcolor_
| protected

## ◆ rightmask_

uiRectItem* uiGraphicsSceneAxisMgr::rightmask_
| protected

## ◆ topmask_

uiRectItem* uiGraphicsSceneAxisMgr::topmask_
| protected

## ◆ uifont_

uiFont& uiGraphicsSceneAxisMgr::uifont_
| protected

## ◆ view_

uiGraphicsView& uiGraphicsSceneAxisMgr::view_
| protected

## ◆ xaxis_bottom_

uiAxisHandler* uiGraphicsSceneAxisMgr::xaxis_bottom_
| protected

## ◆ xaxis_top_

uiAxisHandler* uiGraphicsSceneAxisMgr::xaxis_top_
| protected

## ◆ yaxis_left_

uiAxisHandler* uiGraphicsSceneAxisMgr::yaxis_left_
| protected

## ◆ yaxis_right_

uiAxisHandler* uiGraphicsSceneAxisMgr::yaxis_right_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025